Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QXmlParseException Class Reference

The QXmlParseException class is used to report errors with the QXmlErrorHandler interface. More...

    #include <QXmlParseException>

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QXmlParseException ( const QString & name = "", int c = -1, int l = -1, const QString & p = "", const QString & s = "" )
- int columnNumber () const
- int lineNumber () const
- QString message () const
- QString publicId () const
- QString systemId () const

## Detailed Description

The QXmlParseException class is used to report errors with the QXmlErrorHandler interface.

The XML subsystem constructs an instance of this class when it detects an error. You can retrieve the place where the error occurred using systemId(), publicId(), lineNumber() and columnNumber(), along with the error message().

See also QXmlErrorHandler and QXmlReader.

## Member Function Documentation

### QXmlParseException::QXmlParseException ( const QString & name = "", int c = -1, int l = -1, const QString & p = "", const QString & s = "" )

Constructs a parse exception with the error string name for column c and line l for the public identifier p and the system identifier s.

### int QXmlParseException::columnNumber () const

Returns the column number where the error occurred.

### int QXmlParseException::lineNumber () const

Returns the line number where the error occurred.

### QString QXmlParseException::message () const

Returns the error message.

### QString QXmlParseException::publicId () const

Returns the public identifier where the error occurred.

### QString QXmlParseException::systemId () const

Returns the system identifier where the error occurred.